#include <stdio.h>
#include <stdlib.h>
#include "picoexif.h"


// demo call for setting exif variables
void demo_setexif(){
  exif_init();

  exif_additemstr(0x0110,"TEST2-12345678");                   //  digicam model
  //exif_additem(0x0112,EXIF_VAR_UINT16,  1,1);                 //  orientation; 1=upper left, 3=lower right, 6=upper right, 8=lower left, 9=undefined
  exif_additem(0x9000,EXIF_VARTYPE_UNDEF,   4,0x30313230);        //  EXIF version; 4-chars, "0120"
  exif_additemstr(0x9003,"2018:09:06 18:18:00");              //  time created
  exif_additemstr(0x9291,"0123");                             //  time created, fraction of second
  exif_additemstr(0x9004,"2019:09:06 19:19:00");              //  time edited
  exif_additem(0x9999,EXIF_VARTYPE_UNDEF,   4,0x41414141);        //  undefined tag, for test
  //exif_additemstr(0x9291,"012346");                             //  time created, fraction of second

  exif_finish();
}



void demo_dumpbin(){
  for(int t=0;t<exif_gethdrlen();t++)putchar(exif_buf[t]);                    // output the fixed-format part
  for(int t=0;t<exif_varbuflen;    t++)putchar(exif_buf[EXIF_BUF_VARBUFSTART+t]);  // output the rest
  //
  fprintf(stderr,"bufoffs=%d\n",exif_varbuflen);
  fprintf(stderr,"MAXBUF=%d\n",EXIF_MAXBUF);
}


int main(){
  demo_setexif();
  demo_dumpbin();
  return 0;
}

